Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.testing.aTest
Interface ATestPackage.Literals

Enclosing interface:
  ATestPackage

    public static interface ATestPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `CONSTRAINT` The meta object literal for the '`Constraint`' class.
`static org.eclipse.emf.ecore.EReference` | `CONSTRAINT__AGENT` The meta object literal for the 'Agent' reference feature.
`static org.eclipse.emf.ecore.EReference` | `CONSTRAINT__ATTRIBUTE` The meta object literal for the 'Attribute' reference feature.
`static org.eclipse.emf.ecore.EReference` | `CONSTRAINT__MAX_VALUE` The meta object literal for the 'Max Value' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `CONSTRAINT__MEASURE` The meta object literal for the 'Measure' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `CONSTRAINT__MIN_VALUE` The meta object literal for the 'Min Value' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `CONSTRAINT__QUALIFIER` The meta object literal for the 'Qualifier' reference feature.
`static org.eclipse.emf.ecore.EEnum` | `MEASURE` The meta object literal for the '`Measure`' enum.
`static org.eclipse.emf.ecore.EClass` | `MODEL` The meta object literal for the '`Model`' class.
`static org.eclipse.emf.ecore.EReference` | `MODEL__CONTAINS` The meta object literal for the 'Contains' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `MODEL__CONTRAINTS` The meta object literal for the 'Contraints' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` | `MODEL__DESCRIPTION` The meta object literal for the 'Description' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `MODEL__NAME` The meta object literal for the 'Name' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `MODEL__TESTS` The meta object literal for the 'Tests' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `TEST_MEMBER` The meta object literal for the '`Test Member`' class.
`static org.eclipse.emf.ecore.EAttribute` | `TEST_MEMBER__IMPORT_URI` The meta object literal for the 'Import URI' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `TESTS` The meta object literal for the '`Tests`' class.
`static org.eclipse.emf.ecore.EAttribute` | `TESTS__IMPORT_URI` The meta object literal for the 'Import URI' attribute feature.

Field Detail

### MODEL

    static final org.eclipse.emf.ecore.EClass MODEL

  The meta object literal for the '`Model`' class.

  See Also:
    `ModelImpl`, `ATestPackageImpl.getModel()`

### MODEL__NAME

    static final org.eclipse.emf.ecore.EAttribute MODEL__NAME

  The meta object literal for the 'Name' attribute feature.

### MODEL__DESCRIPTION

    static final org.eclipse.emf.ecore.EAttribute MODEL__DESCRIPTION

  The meta object literal for the 'Description' attribute feature.

### MODEL__TESTS

    static final org.eclipse.emf.ecore.EReference MODEL__TESTS

  The meta object literal for the 'Tests' containment reference feature.

### MODEL__CONTRAINTS

    static final org.eclipse.emf.ecore.EReference MODEL__CONTRAINTS

  The meta object literal for the 'Contraints' containment reference list feature.

### MODEL__CONTAINS

    static final org.eclipse.emf.ecore.EReference MODEL__CONTAINS

  The meta object literal for the 'Contains' containment reference list feature.

### TESTS

    static final org.eclipse.emf.ecore.EClass TESTS

  The meta object literal for the '`Tests`' class.

  See Also:
    `TestsImpl`, `ATestPackageImpl.getTests()`

### TESTS__IMPORT_URI

    static final org.eclipse.emf.ecore.EAttribute TESTS__IMPORT_URI

  The meta object literal for the 'Import URI' attribute feature.

### TEST_MEMBER

    static final org.eclipse.emf.ecore.EClass TEST_MEMBER

  The meta object literal for the '`Test Member`' class.

  See Also:
    `TestMemberImpl`, `ATestPackageImpl.getTestMember()`

### TEST_MEMBER__IMPORT_URI

    static final org.eclipse.emf.ecore.EAttribute TEST_MEMBER__IMPORT_URI

  The meta object literal for the 'Import URI' attribute feature.

### CONSTRAINT

    static final org.eclipse.emf.ecore.EClass CONSTRAINT

  The meta object literal for the '`Constraint`' class.

  See Also:
    `ConstraintImpl`, `ATestPackageImpl.getConstraint()`

### CONSTRAINT__MEASURE

    static final org.eclipse.emf.ecore.EAttribute CONSTRAINT__MEASURE

  The meta object literal for the 'Measure' attribute feature.

### CONSTRAINT__AGENT

    static final org.eclipse.emf.ecore.EReference CONSTRAINT__AGENT

  The meta object literal for the 'Agent' reference feature.

### CONSTRAINT__ATTRIBUTE

    static final org.eclipse.emf.ecore.EReference CONSTRAINT__ATTRIBUTE

  The meta object literal for the 'Attribute' reference feature.

### CONSTRAINT__QUALIFIER

    static final org.eclipse.emf.ecore.EReference CONSTRAINT__QUALIFIER

  The meta object literal for the 'Qualifier' reference feature.

### CONSTRAINT__MIN_VALUE

    static final org.eclipse.emf.ecore.EReference CONSTRAINT__MIN_VALUE

  The meta object literal for the 'Min Value' containment reference feature.

### CONSTRAINT__MAX_VALUE

    static final org.eclipse.emf.ecore.EReference CONSTRAINT__MAX_VALUE

  The meta object literal for the 'Max Value' containment reference feature.

### MEASURE

    static final org.eclipse.emf.ecore.EEnum MEASURE

  The meta object literal for the '`Measure`' enum.

  See Also:
    `Measure`, `ATestPackageImpl.getMeasure()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD